#!/bin/bash

export MC_HOST_minio=https://${S3_ENDPOINT}
mc cp minio/${BUCKET}/hls/0/stream.m3u8 /tmp/stream.m3u8

if cat /tmp/stream.m3u8 | grep offline; then
  echo not live;
  export FILTER="offline\|m3u8"
else 
  echo stream is live;
  export LIVE_STREAM_ID=`cat /tmp/stream.m3u8 | grep -v offline | grep stream | head -c 16 | tail -c 9`
  export FILTER="$LIVE_STREAM_ID\|offline\|m3u8"
fi

for ID in `mc ls minio/${BUCKET}/hls/0/  | grep -v "$FILTER" | cut -d"-" -f4 | cut -c-9 | uniq`; do
  echo "Gonna compile stream $ID..."
  export STREAM_ID=$ID
  export NAME=`echo $ID tr '[:upper:]' '[:lower:]'`
  cat ./job.yml | envsubst | kubectl apply -f -
  echo "Job started"
done

